#include "CommandlineOptions.hh"
#include "Options.hh"
#include "ComputeTriangs.hh"

int main(const int argc, const char** argv) {
  using namespace topcom;

  CommandlineOptions::init(argc, argv);
  MessageStreams::forced() << std::endl;
  MessageStreams::forced() << "------------------------------------------------------------------\n";
  MessageStreams::forced() << " computing a minimal triangulation of a point configuration \n";
  MessageStreams::forced() << " TOPCOM client: " << CommandlineOptions::client() << '\n';
  MessageStreams::forced() << "------------------------------------------------------------------\n";
  MessageStreams::forced() << std::endl;
  if (CommandlineOptions::verbose()) {
    return ComputeTriangs(Options::COMPUTE_ALL
			  | Options::OUTPUT_TRIANGS
			  | Options::FIND_MIN).run();
  }
  else {
    return ComputeTriangs(Options::COMPUTE_ALL
			  | Options::FIND_MIN).run();
  }
}

// eof points2mintriang.cc
